services:
  pgmanage:
    image: cmdpromptinc/pgmanage-enterprise:latest
    container_name: pgmanage
    user: "0:0"
    stdin_open: true
    tty: true
    ports:
      - "8000:8000"
    environment:
      PGMANAGE_LISTEN_PORT: "8000"
      PGMANAGE_DEFAULT_USERNAME: ${PGMANAGE_DEFAULT_USERNAME:-admin}
      PGMANAGE_DEFAULT_PASSWORD: ${PGMANAGE_DEFAULT_PASSWORD:-admin}
      PGMANAGE_LICENSE_KEY: ${PGMANAGE_LICENSE_KEY:-}
      PGMANAGE_SECURE_COOKIES: ${PGMANAGE_SECURE_COOKIES:-False}
    extra_hosts:
      - "host.docker.internal:host-gateway"
    volumes:
      - pgmanage_data:/appdata

volumes:
  pgmanage_data:
